Subject: 28.0.50; .eln files need to be executable on Cygwin

From: Ken Brown <[email-masked]>
Date: Sun, 26 Sep 2021 11:03:53 -0400

An installed emacs built with native compilation won't start on Cygwin because 
the executable permissions have been removed from the .eln files.  This is done 
in the install-eln target of the top-level Makefile.in, which installs the .eln 
files with 644 permissions even though they were created with executable 
permissions.

The failure is in Cygwin's dlopen, which calls the windows function 
GetModuleHandleExW.

Would it hurt anything on other platforms if the .eln files were installed with 
755 permissions?  If so, I can submit a patch that does this just on Cygwin.

Ken